gi-glib-2.0.24: GLib bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.TestConfig

Contents

- Exported types
- Methods
  - Overloaded methods
- Properties
  - testInitialized
  - testPerf
  - testQuick
  - testQuiet
  - testUndefined
  - testVerbose

Description

No description available in the introspection data.

Synopsis

- newtype TestConfig = TestConfig (ManagedPtr TestConfig)
- newZeroTestConfig :: MonadIO m => m TestConfig
- getTestConfigTestInitialized :: MonadIO m => TestConfig -> m Bool
- setTestConfigTestInitialized :: MonadIO m => TestConfig -> Bool -> m ()
- getTestConfigTestPerf :: MonadIO m => TestConfig -> m Bool
- setTestConfigTestPerf :: MonadIO m => TestConfig -> Bool -> m ()
- getTestConfigTestQuick :: MonadIO m => TestConfig -> m Bool
- setTestConfigTestQuick :: MonadIO m => TestConfig -> Bool -> m ()
- getTestConfigTestQuiet :: MonadIO m => TestConfig -> m Bool
- setTestConfigTestQuiet :: MonadIO m => TestConfig -> Bool -> m ()
- getTestConfigTestUndefined :: MonadIO m => TestConfig -> m Bool
- setTestConfigTestUndefined :: MonadIO m => TestConfig -> Bool -> m ()
- getTestConfigTestVerbose :: MonadIO m => TestConfig -> m Bool
- setTestConfigTestVerbose :: MonadIO m => TestConfig -> Bool -> m ()

# Exported types

newtype TestConfig Source #

Memory-managed wrapper type.

Constructors

TestConfig (ManagedPtr TestConfig) |

#### Instances

Instances details

Eq TestConfig Source # |
Instance details Defined in GI.GLib.Structs.TestConfig Methods (==) :: TestConfig -> TestConfig -> Bool # (/=) :: TestConfig -> TestConfig -> Bool #
ManagedPtrNewtype TestConfig Source # |
Instance details Defined in GI.GLib.Structs.TestConfig Methods toManagedPtr :: TestConfig -> ManagedPtr TestConfig Source #
BoxedPtr TestConfig Source # |
Instance details Defined in GI.GLib.Structs.TestConfig Methods boxedPtrCopy :: TestConfig -> IO TestConfig Source # boxedPtrFree :: TestConfig -> IO () Source #
CallocPtr TestConfig Source # |
Instance details Defined in GI.GLib.Structs.TestConfig Methods boxedPtrCalloc :: IO (Ptr TestConfig) Source #
tag ~ 'AttrSet => Constructible TestConfig tag Source # |
Instance details Defined in GI.GLib.Structs.TestConfig Methods new :: MonadIO m => (ManagedPtr TestConfig -> TestConfig) -> [AttrOp TestConfig tag] -> m TestConfig Source #

newZeroTestConfig :: MonadIO m => m TestConfig Source #

Construct a `TestConfig` struct initialized to zero.

# Methods

## Overloaded methods

# Properties

## testInitialized

No description available in the introspection data.

getTestConfigTestInitialized :: MonadIO m => TestConfig -> m Bool Source #

Get the value of the “`test_initialized`” field. When overloading is enabled, this is equivalent to

    get testConfig #testInitialized

setTestConfigTestInitialized :: MonadIO m => TestConfig -> Bool -> m () Source #

Set the value of the “`test_initialized`” field. When overloading is enabled, this is equivalent to

    set testConfig [ #testInitialized := value ]

## testPerf

No description available in the introspection data.

getTestConfigTestPerf :: MonadIO m => TestConfig -> m Bool Source #

Get the value of the “`test_perf`” field. When overloading is enabled, this is equivalent to

    get testConfig #testPerf

setTestConfigTestPerf :: MonadIO m => TestConfig -> Bool -> m () Source #

Set the value of the “`test_perf`” field. When overloading is enabled, this is equivalent to

    set testConfig [ #testPerf := value ]

## testQuick

No description available in the introspection data.

getTestConfigTestQuick :: MonadIO m => TestConfig -> m Bool Source #

Get the value of the “`test_quick`” field. When overloading is enabled, this is equivalent to

    get testConfig #testQuick

setTestConfigTestQuick :: MonadIO m => TestConfig -> Bool -> m () Source #

Set the value of the “`test_quick`” field. When overloading is enabled, this is equivalent to

    set testConfig [ #testQuick := value ]

## testQuiet

No description available in the introspection data.

getTestConfigTestQuiet :: MonadIO m => TestConfig -> m Bool Source #

Get the value of the “`test_quiet`” field. When overloading is enabled, this is equivalent to

    get testConfig #testQuiet

setTestConfigTestQuiet :: MonadIO m => TestConfig -> Bool -> m () Source #

Set the value of the “`test_quiet`” field. When overloading is enabled, this is equivalent to

    set testConfig [ #testQuiet := value ]

## testUndefined

No description available in the introspection data.

getTestConfigTestUndefined :: MonadIO m => TestConfig -> m Bool Source #

Get the value of the “`test_undefined`” field. When overloading is enabled, this is equivalent to

    get testConfig #testUndefined

setTestConfigTestUndefined :: MonadIO m => TestConfig -> Bool -> m () Source #

Set the value of the “`test_undefined`” field. When overloading is enabled, this is equivalent to

    set testConfig [ #testUndefined := value ]

## testVerbose

No description available in the introspection data.

getTestConfigTestVerbose :: MonadIO m => TestConfig -> m Bool Source #

Get the value of the “`test_verbose`” field. When overloading is enabled, this is equivalent to

    get testConfig #testVerbose

setTestConfigTestVerbose :: MonadIO m => TestConfig -> Bool -> m () Source #

Set the value of the “`test_verbose`” field. When overloading is enabled, this is equivalent to

    set testConfig [ #testVerbose := value ]